> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kadoa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all variables

> Retrieve all variables in the current team/user scope (max 100).



## OpenAPI

````yaml get /v4/variables/
openapi: 3.0.3
info:
  title: Kadoa API
  version: 3.0.0
  contact:
    name: Support
    email: support@kadoa.com
servers:
  - url: https://api.kadoa.com
security: []
paths:
  /v4/variables/:
    get:
      tags:
        - Variables
      summary: List all variables
      description: Retrieve all variables in the current team/user scope (max 100).
      parameters: []
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VariablesListResponse'
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                    description: Indicates an error occurred
                  message:
                    type: string
                    description: Error message
                  details:
                    nullable: true
                    description: Additional error details (e.g., validation errors)
                required:
                  - error
                  - message
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                    description: Indicates an error occurred
                  message:
                    type: string
                    description: Error message
                  details:
                    nullable: true
                    description: Additional error details (e.g., validation errors)
                required:
                  - error
                  - message
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                    description: Indicates an error occurred
                  message:
                    type: string
                    description: Error message
                  details:
                    nullable: true
                    description: Additional error details (e.g., validation errors)
                required:
                  - error
                  - message
      security:
        - ApiKeyAuth: []
components:
  schemas:
    VariablesListResponse:
      type: object
      properties:
        variables:
          type: array
          items:
            $ref: '#/components/schemas/Variable'
        error:
          type: string
          nullable: true
      required:
        - variables
        - error
      title: VariablesListResponse
      description: Response containing a list of variables
    Variable:
      type: object
      properties:
        id:
          type: string
          description: Unique variable identifier
        key:
          type: string
          description: Variable key (unique per team/user scope)
        value:
          type: string
          description: Variable value
        dataType:
          $ref: '#/components/schemas/VariableDataType'
        createdAt:
          type: string
          description: ISO 8601 creation timestamp
        updatedAt:
          type: string
          description: ISO 8601 last update timestamp
      required:
        - id
        - key
        - value
        - createdAt
      title: Variable
      description: A key-value variable scoped to a team or user
    VariableDataType:
      default: STRING
      type: string
      enum:
        - STRING
        - SECRET
        - OBJECT
        - ARRAY
        - NUMBER
      title: VariableDataType
      description: The data type of the variable value
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````